Doomsday needs libfluidsynth1 but ubuntu 20.04 provides libfluidsynth2 only
Status: Resolved Start date: 2020-09-21
Priority: Normal % Done: 100%
Assignee: skyjake

Category: 3rd party compatibility

Target version: Build system and tools

Description

Doomsday needs libfluidsynth1 but ubuntu 20.04 provides libfluidsynth2 only

dave@beast:/media/Downloads/Firefox$ sudo dpkg -i ./doomsday_2.3.0-build3486_amd64.deb

[sudo] password for dave:

Selecting previously unselected package doomsday.

(Reading database ... 384680 files and directories currently installed.)
Preparing to unpack .../doomsday_2.3.0-build3486_amd64.deb ...
Unpacking doomsday (2.3.0-build3486) ...

dpkg: dependency problems prevent configuration of doomsday:
doomsday depends on libfluidsynth1; however:

Package libfluidsynth1 is not installed.

dpkg: error processing package doomsday (--install):
dependency problems - leaving unconfigured

Processing triggers for desktop-file-utils (0.24-1ubuntu3) ...
Processing triggers for gnome-menus (3.36.0-1ubuntul) ...
Processing triggers for mime-support (3.64ubuntut) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for man-db (2.9.1-1) ...

Errors were encountered while processing:

doomsday

dave@beast:/media/Downloads/Firefox$ apt search libfluidsynth1
Sorting... Done

Full Text Search... Done
dave@beast:/media/Downloads/Firefox$ apt search libfluidsynth
Sorting... Done

Full Text Search... Done

libfluidsynth-dev/focal 2.1.1-2 amd64

Real-time MIDI software synthesizer (development files)

libfluidsynth2/focal,now 2.1.1-2 amd64 [installed,automatic]
Real-time MIDI software synthesizer (runtime library)

Related issues:

Related to Bug #2455: rpm package requires libfluidsynth.so.1 but Fedora 33 p...

Has duplicate Bug #2459: Incorrect Library libfluidsynth1 on Ubuntu 21.04

Resolved
Closed

2021-03-20
2021-05-04

History

#1 - 2020-09-21 06:01 - skyjake
- Category set to 3rd party compatibility
- Assignee changed from Deng Team to skyjake

- Target version set to 2.3

Should update the FluidSynth plugin to use version 2.

#2 - 2020-09-22 15:03 - skyjake

Looked into this. The problem is that the Autobuilder is running Ubuntu 18.04, where libfluidsynth2 doesn't exist. Doomsday itself is already working

fine with FluidSynth version 2.

I'm inclined to discontinue Ubuntu packages built directly by the Autobuilder, and instead we could rely on Launchpad since that supports multiple
different versions of Ubuntu.

#3 - 2020-09-22 15:03 - skyjake

- Target version changed from 2.3 to Build system and tools

#4 - 2021-03-11 11:10 - eunbolt

the doomsday download page needs updating to point to the launchpad page

#5 - 2021-03-11 11:15 - skyjake

You mean http://dengine.net/linux ?

There is already a link to Launchpad under the Ubuntu section. I'm not sure how you are suggesting to update the page?

#6 - 2021-03-11 11:19 - eunbolt
- File Screenshot from 2021-03-11 22-17-56.png added

current linux page when viewed from ubuntu, those ubuntu builds download the installer that doesn't work on new ubuntu releases

Doomsday 2.3.1 — 64-bit deb
Ubuntu 18.04 (or later) - February 4

2.3 Unstable #3617 — 64-bit deb
Ubuntu 18.04 (or later) - 2020 November 27

#7 - 2021-03-11 11:21 - skyjake

Ah | see. | suppose for now those should be labeled as "Ubuntu 18.04 — 19.10", or whichever release still had libfluidsynth1.

#8 - 2021-05-21 13:28 - skyjake
- Has duplicate Bug #2459: Incorrect Library libfluidsynth1 on Ubuntu 21.04 added

#9 - 2021-07-31 09:51 - skyjake
- Status changed from New to Resolved

- % Done changed from 0 to 100

Resolved by removing the dependency on the external FluidSynth and compiling the library from source instead, i.e., the autobuilder now uses the
DENG_FLUIDSYNTH_EMBEDDED build option.

#10 - 2021-07-31 09:57 - skyjake
- Related to Bug #2455: rpm package requires libfluidsynth.so.1 but Fedora 33 provides libfluidsynth.so.2 only added
